<?php

/*

  FILE STRUCTURE:

- GLOBAL THEME OPTIONS:
  * General Theme Settings
  * Navigation Settings
  * Archive Content Boxes
  * Single Post Content Box
  * Ad Banners
  * WYSIWYG Widget
- GLOBAL DESIGN OPTIONS:
  * General Styling
  * Module Styling
  * Content Boxes Styling
  * Widget Styling

*/

/* GLOBAL THEME OPTIONS */
/*------------------------------------------------------------------*/
				
$options[] = array(	"type" => "maintabletop");
		
	/// General Theme Settings												
				
		$options[] = array(	"name" => "General Theme Settings",
						    "type" => "heading");
													
			$options[] = array(	"name" => "Modules Layout Control",
								"toggle" => "true",
								"type" => "subheadingtop");
								
				$options[] = array(	"name" => "Front Page Display Modules",
				                    "desc" => "Check all modules you would like to display on your FRONT PAGE. If you want to customize the look even further DRAG and DROP the elements to change the order in which they appear. All modules are located in <code>library/hooks</code> folder.",
				                    "type" => "help");
												
				$options[] = array(	"type" => "sorttop");
				$options[] = array(	"id" => $shortname."_index_s",
						            "std" => "",
									"type" => "multisort",
									"options" => array(																				
										'navigation' => array('name' => __('Navigation Menu &amp; Search'), 'show' => true),
										'logo' => array('name' => __('Logo Area'), 'show' => true),
										'slider' => array('name' => __('Featured Slider Area'), 'show' => true),
										'front' => array('name' => __('Front Widget Boxes'), 'show' => false),
										'widgets' => array('name' => __('Footer Widgets'), 'show' => true),
										'footer' => array('name' => __('Footer Navigation &amp; Credits'), 'show' => true),
									));
				$options[] = array(	"type" => "sortbottom");
				
				$options[] = array(	"name" => "Archive Display Modules",
				                    "desc" => "Check all modules you would like to display on your ARCHIVES <em>[Archive for > Posts, Tags, Categories, Authors, Search, FAQs, ...]</em>. If you want to customize the look even further DRAG and DROP the elements to change the order in which they appear. All modules are located in <code>lib_theme/hooks</code> folder.",
				                    "type" => "help");
												
				$options[] = array(	"type" => "sorttop");
				$options[] = array(	"id" => $shortname."_archive_s",
						            "std" => "",
									"type" => "multisort",
									"options" => array(																				
										'navigation' => array('name' => __('Navigation Menu &amp; Search'), 'show' => true),
										'logo' => array('name' => __('Logo Area'), 'show' => true),
										'slider' => array('name' => __('Featured Slider Area'), 'show' => false),
										'archive' => array('name' => __('Archive Content & Sidebar'), 'show' => true),
										'widgets' => array('name' => __('Footer Widgets'), 'show' => true),
										'footer' => array('name' => __('Footer Navigation &amp; Credits'), 'show' => true),
									));
				$options[] = array(	"type" => "sortbottom");
																
				$options[] = array(	"name" => "Single Post Display Modules",
				                    "desc" => "Check all modules you would like to display on your SINGLE POSTS. If you want to customize the look even further DRAG and DROP the elements to change the order in which they appear. All modules are located in <code>library/hooks</code> folder.",
				                    "type" => "help");
												
				$options[] = array(	"type" => "sorttop");
				$options[] = array(	"id" => $shortname."_post_s",
						            "std" => "",
									"type" => "multisort",
									"options" => array(										
										'navigation' => array('name' => __('Navigation Menu &amp; Search'), 'show' => true),
										'logo' => array('name' => __('Logo Area'), 'show' => true),
										'slider' => array('name' => __('Featured Slider Area'), 'show' => false),
										'single' => array('name' => __('Post Content & Sidebar'), 'show' => true),
										'widgets' => array('name' => __('Footer Widgets'), 'show' => true),
										'footer' => array('name' => __('Footer Navigation &amp; Credits'), 'show' => true),
									));
				$options[] = array(	"type" => "sortbottom");
					
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Sidebar Alignment",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$options[] = array(	"name" => "General Sidebar Alignment",
				                    "desc" => "Select how to align your sidebar on all pages, excluding front page.",
						            "id" => $shortname."_sidebar_align",
						            "std" => "alignright",
									"type" => "radio",
									"options" => array("alignleft" => "Left","alignright" => "Right"));	
									
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Logo",
						        "toggle" => "true",
								"type" => "subheadingtop");

                $options[] = array(	"name" => "Choose Your Logo",
				                    "desc" => "Upload your image or paste the full URL address to it next to upload button. <span class='important'>Save your settings after upload is finished.</span>",
						            "id" => $shortname."_logo_url",
						            "std" => "",
						            "type" => "upload");

				$options[] = array(	"name" => "Choose Blog Title over Logo",
				                    "desc" => "If you don't yet have a logo, choose your default blog Title &amp; Tagline - <a href='" . $bloghomeurl . "wp-admin/options-general.php'>Change your settings here</a>. This option overrides logo selection above.",
						            "label" => "Show Blog Title + Tagline.",
						            "id" => $shortname."_show_blog_title",
						            "std" => "false",
						            "type" => "checkbox");				

			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Portfolio Template",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"name" => "Select Portfolio Category",
				                    "desc" => "Please select the portfolio category, under which your portfolio posts are categorized. Posts categorized under this category will appear in your portfolio page. <span class='important'>Create portfolio page first and choose Portfolio Template as your custom page template</span>",
					                "id" => $shortname."_portfolio_cat",
					                "std" => "",
					                "type" => "select_by_id",
									"show_option_all" => true,
					                "options" => $pn_categories);
									
				$options[] = array(	"name" => "Display Settings",
				                    "desc" => "Choose which portfolio sections you would like to show/hide.",
				                    "type" => "help");
									
				$options[] = array(	"label" => "Display Title below Portfolio Image.",
									"id" => $shortname."_portfolio_title",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Display Date below Portfolio Image.",
									"id" => $shortname."_portfolio_date",
						            "std" => "false",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Display Categories below Portfolio Image.",
									"id" => $shortname."_portfolio_cats",
						            "std" => "false",
						            "type" => "checkbox");
									
				$options[] = array(	"name" => "Number of Portfolio Items to show (0 = default WP Reading Settings)",
				                    "desc" => "Select how many portfolio items you would like to show.",
						            "id" => $shortname."_portfolio_number",
						            "std" => "6",
									"type" => "select",
									"options" => $other_entries2);
						
			$options[] = array(	"type" => "subheadingbottom");
						
		$options[] = array(	"type" => "maintablebreak");
		
	/// Navigation Settings												
				
		$options[] = array(	"name" => "Navigation Settings",
							"type" => "heading");
						
			$options[] = array(	"name" => "Main Navigation",
								"toggle" => "true",
								"type" => "subheadingtop");
								
			if ( function_exists('wp_nav_menu') ) {

				$options[] = array(	"name" => "Use WordPress 3.0 Menus",
				                    "desc" => "Since WordPress 3.0, this theme only supports WordPress menus to handle theme navigation, so <a href='" . $bloghomeurl . "wp-admin/nav-menus.php'>head over to the menus</a> and do some magic.<span class='important'>Don't forget to pick the right theme location for your created menus</span>",
				                    "type" => "help");					
									
			} else {
			    
				$options[] = array(	"name" => "Navigation Items",
				                    "desc" => "Check all posts you would like to include in your main navigation menu. Pages are listed alphabetically, however you may change the order in which they appear by going <a href='" . $bloghomeurl . "wp-admin/admin.php?page=bizz_mypageorder'>here</a>. Logo &amp; Navigation module is located in <code>library/hooks/navigation.php</code> file.",
				                    "type" => "help");
												
				$options = pages_exclude($options);	
				
				$options[] = array(	"label" => "Include Home Link in Main Navigation.",
									"id" => $shortname."_home_link2",
						            "std" => true,
						            "type" => "checkbox");
									
			}
					
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Breadcrumbs Navigation",
						        "toggle" => true,
								"type" => "subheadingtop");
						
				$options[] = array(	"name" => "Breadcrumbs Activation",
				                    "label" => "Show breadcrumbs navigation bar",
						            "desc" => "Check this box to enable breadcrumbs navigation across your site.",
						            "id" => $shortname."_breadcrumbs",
						            "std" => false,
						            "type" => "checkbox");	
									
				$options[] = array(	"name" => "<b>Breadcrumbs Configuration</b>",
				                    "desc" => "If you enabled breadcrumbs navigation, please take a time to review its options bellow.",
				                    "type" => "help");
									
				$options[] = array( "name" => "Separator between breadcrumbs",
									"id" => $shortname."_breadcrumbs_sep",
			    		            "std" => "&rarr;",
			    		            "type" => "text");
									
				$options[] = array( "name" => "Anchor text for the Homepage",
									"id" => $shortname."_breadcrumbs_home",
			    		            "std" => "Home",
			    		            "type" => "text");
									
				$options[] = array( "name" => "Anchor text for the Blog",
									"id" => $shortname."_breadcrumbs_blog",
			    		            "std" => "Blog",
			    		            "type" => "text");
									
				$options[] = array( "name" => "Prefix for the breadcrumb path",
									"id" => $shortname."_breadcrumbs_prefix",
			    		            "std" => "You are here: ",
			    		            "type" => "text");
									
				$options[] = array( "name" => "Prefix for Archive breadcrumbs",
									"id" => $shortname."_breadcrumbs_archiveprefix",
			    		            "std" => "Archives for",
			    		            "type" => "text");
									
				$options[] = array( "name" => "Prefix for Search Page breadcrumbs",
									"id" => $shortname."_breadcrumbs_searchprefix",
			    		            "std" => "Search for",
			    		            "type" => "text");
									
				$options[] = array(	"name" => "Show Parent Page for Blog posts? (Adds another page inbetween Home and the blogpost)",
					                "id" => $shortname."_breadcrumbs_singleparent",
					                "std" => "",
					                "type" => "select_by_id",
									"show_option_none" => true,
					                "options" => $pne_pages);
									
				$options[] = array(	"name" => "Show Parent Page for FAQ posts? (Adds another page inbetween Home and the FAQ post)",
					                "id" => $shortname."_breadcrumbs_faqparent",
					                "std" => "",
					                "type" => "select_by_id",
									"show_option_none" => true,
					                "options" => $pne_pages);
									
				$options[] = array(	"name" => "Shows the category inbetween Home and the blogpost",
									"label" => "Show category in post breadcrumbs",
									"id" => $shortname."_breadcrumbs_singlecatprefix",
						            "std" => true,
						            "type" => "checkbox");
									
				$options[] = array(	"name" => "Bold browsing page",
									"label" => "Bold the last page in the breadcrumb",
									"id" => $shortname."_breadcrumbs_boldlast",
						            "std" => true,
						            "type" => "checkbox");
									
				$options[] = array(	"name" => "Nofollow Home link",
									"label" => "Nofollow the link to the home page",
									"id" => $shortname."_breadcrumbs_nofollowhome",
						            "std" => true,
						            "type" => "checkbox");
						
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Footer Navigation",
						        "toggle" => "true",
								"type" => "subheadingtop");
			
			if ( function_exists('wp_nav_menu') ) {
								
				$options[] = array(	"name" => "Use WordPress 3.0 Menus",
				                    "desc" => "Since WordPress 3.0, this theme only supports WordPress menus to handle theme navigation, so <a href='" . $bloghomeurl . "wp-admin/nav-menus.php'>head over to the menus</a> and do some magic.<span class='important'>Don't forget to pick the right theme location for your created menus</span>",
				                    "type" => "help");					
									
			} else {
			    
				$options[] = array(	"name" => "Footer Navigation Items",
				                    "desc" => "Check all posts you would like to include in your right footer section. Pages are listed alphabetically, however you may change the order in which they appear by going <a href='" . $bloghomeurl . "wp-admin/admin.php?page=bizz_mypageorder'>here</a>.",
				                    "type" => "help");
									
				$options = pages_exclude3($options);	
				
			}
									
			$options[] = array(	"type" => "subheadingbottom");
						
		$options[] = array(	"type" => "maintablebreak");
		
	/// Featured Slider Settings										
				
		$options[] = array(	"name" => "Featured Slider",
							"type" => "heading");
			
			$options[] = array(	"name" => "Slider Pages",
								"toggle" => "true",
								"type" => "subheadingtop");
								
				$options[] = array(	"name" => "Slider Page Items",
				                    "desc" => "Check all pages you would like to include in your featured slider. Pages may be order however you like, so have fun ;)",
				                    "type" => "help");
												
				$options = select_pages($options,"slider_pag");
					
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Slider Settings",
								"toggle" => true,
								"type" => "subheadingtop");
								
				$options[] = array(	"name" => "Auto Rotate Slider Items?",
				                    "desc" => "Check this option if you want to auto rotate slider items",
									"label" => "Auto rotate slider images.",
									"id" => $shortname."_slider_auto",
						            "std" => false,
						            "type" => "checkbox");
				
				$options[] = array(	"name" => "Slider Speed",
				                    "desc" => "Rotation speed between slides (in seconds). <span class='important'>This option works only if option above is checked.</span>",
						            "id" => $shortname."_slider_speed",
						            "std" => "1",
									"type" => "select",
									"options" => $other_entries);	
									
				$options[] = array(	"name" => "Fix Height?",
				                    "desc" => "Check this options if you don't want to adjust height for every slide. Make sure your content on every slide will fit you predefined height if you choose to manually control slide height.",
									"label" => "Don't adjust height for every slide.",
									"id" => $shortname."_slider_adjust",
						            "std" => false,
						            "type" => "checkbox");
									
				$options[] = array(	"name" => "Slider Height",
				                    "desc" => "Choose the appropriate height for slides (in px).",
						            "id" => $shortname."_slider_height",
						            "std" => 350,
						            "type" => "text");
					
			$options[] = array(	"type" => "subheadingbottom");
						
		$options[] = array(	"type" => "maintablebreak");
		
	/// Archive Content Boxes											
				
		$options[] = array(	"name" => "Archive Content Boxes",
							"type" => "heading");
							
			$options[] = array(	"name" => "Display Options",
								"toggle" => "true",
								"type" => "subheadingtop");
									
				$options[] = array(	"name" => "Display Full Posts?",
				                    "label" => "Full Post Content",
						            "desc" => "Instead of default excerpts, display full post contant on Archive pages, including blog section.",
						            "id" => $shortname."_archive_full",
						            "std" => "false",
						            "type" => "checkbox");	
									
				$options[] = array(	"name" => "Meta Settings",
				                    "desc" => "Check all fields you would like to display in your archive post meta box.",
				                    "type" => "help");
									
				$options[] = array(	"label" => "Post Author",
									"id" => $shortname."_meta_auth",
						            "std" => "false",
						            "type" => "checkbox");
									
			    $options[] = array(	"label" => "Post Date",
									"id" => $shortname."_meta_date",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Post Comments",
									"id" => $shortname."_meta_com",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Post Edit (only visible to administrators)",
									"id" => $shortname."_meta_edit",
						            "std" => "false",
						            "type" => "checkbox");
					
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Image Options",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$options[] = array(	"name" => "Thumbnail Image Dimensions",
				                    "desc" => "Select image thumbnail dimensions for archive pages like blog, search, category, date archives etc.. If your checked option to Resize Images Dynamically (in Image Setup above), thumbnails will be automatically resized and cropped to fit desired dimensions. Numeric values are defined as pixels (px).",
				                    "type" => "help");
									
				$options[] = array(	"name" => "width",
									"id" => $shortname."_thumb_width",
						            "std" => "75",
						            "type" => "text");	
									
				$options[] = array(	"name" => "height",
						            "id" => $shortname."_thumb_height",
						            "std" => "75",
						            "type" => "text");
									
				$options[] = array(	"name" => "Thumbnail Image Alignment",
				                    "desc" => "Select how to align your images with post archives.",
						            "id" => $shortname."_thumb_align",
						            "std" => "alignright",
									"type" => "radio",
									"options" => array("alignleft" => "Left","aligncenter" => "Center","alignright" => "Right"));
																				
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Read More... Options",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"name" => "'Read More...' Text?",
				                    "label" => "Display 'Read More' text",
						            "desc" => "Show 'Read More' text at the end of each post, displayed in archive pages.",
						            "id" => $shortname."_readmore",
						            "std" => "true",
						            "type" => "checkbox");

				$options[] = array(	"name" => "Change 'Read More' text",
				                    "desc" => "Change 'Read More' text to suit your own taste.",
						            "id" => $shortname."_readmore_text",
						            "std" => "Read more...",
						            "type" => "text");					
						
			$options[] = array(	"type" => "subheadingbottom");
						
		$options[] = array(	"type" => "maintablebreak");
		
	/// Single Post Content Box											
				
		$options[] = array(	"name" => "Single Content Box",
							"type" => "heading");
							
			$options[] = array(	"name" => "Display Options",
								"toggle" => "true",
								"type" => "subheadingtop");
									
				$options[] = array(	"name" => "Meta Settings",
				                    "desc" => "Check all fields you would like to display in your archive post meta box.",
				                    "type" => "help");
				
				$options[] = array(	"label" => "Post Date",
									"id" => $shortname."_smeta_date",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Post Author",
									"id" => $shortname."_smeta_auth",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Post Comments",
									"id" => $shortname."_smeta_com",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Post Edit (only visible to administrators)",
									"id" => $shortname."_smeta_edit",
						            "std" => "true",
						            "type" => "checkbox");
					
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Image Options",
						        "toggle" => "true",
								"type" => "subheadingtop");
								
				$options[] = array(	"name" => "Show in Single Posts/Pages?",
				                    "label" => "Show in Single Posts/Pages",
						            "desc" => "Show thumbnail images in single posts/pages.",
						            "id" => $shortname."_image_single",
						            "std" => "false",
						            "type" => "checkbox");
									
				$options[] = array(	"name" => "Thumbnail Image Dimensions",
				                    "desc" => "Select image thumbnail dimensions for single posts and pages. If your checked option to Resize Images Dynamically (in Image Setup above), thumbnails will be automatically resized and cropped to fit desired dimensions. Numeric values are defined as pixels (px).",
				                    "type" => "help");
									
				$options[] = array(	"name" => "width",
						            "id" => $shortname."_single_width",
						            "std" => "200",
						            "type" => "text");	
									
				$options[] = array(	"name" => "height",
						            "id" => $shortname."_single_height",
						            "std" => "200",
						            "type" => "text");
									
				$options[] = array(	"name" => "Thumbnail Image Alignment",
				                    "desc" => "Select how to align your images in single posts & pages.",
						            "id" => $shortname."_single_align",
						            "std" => "alignright",
									"type" => "radio",
									"options" => array("alignleft" => "Left","aligncenter" => "Center","alignright" => "Right"));
																				
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Comments Options",
								"toggle" => "true",
								"type" => "subheadingtop");
																					
				$options[] = array(	"name" => "Comments on Pages?",
				                    "label" => "Display Comments on Pages",
						            "desc" => "Show comments on Pages. If you check this option, you can still disable comments on particular pages under [Discussion->Allow Comments] when editing that page.",
						            "id" => $shortname."_comments_pag",
						            "std" => "false",
						            "type" => "checkbox");	
					
			$options[] = array(	"type" => "subheadingbottom");
						
		$options[] = array(	"type" => "maintablebreak");
						
$options[] = array(	"type" => "maintablebottom");

/* GLOBAL DESIGN OPTIONS */
/*------------------------------------------------------------------*/

$design[] = array(	"type" => "maintabletop");

    ////// General Styling
	
	    $design[] = array(	"name" => "General Styling",
						    "type" => "heading");
						
		    $design[] = array(	"name" => "Layout Control",
						        "toggle" => "true",
								"type" => "subheadingtop");
								
				$design[] = array(	"name" => "Predefined Skins",
				                    "desc" => "Please select the CSS skin for your website here. CSS skin files are located in your theme skins folder.",
					                "id" => $shortname."_alt_stylesheet",
					                "std" => "",
					                "type" => "select",
					                "options" => $alt_stylesheets);
									
				$design[] = array(	"name" => "Hide custom.css",
				                    "label" => "Hide Custom Stylesheet",
						            "desc" => "Custom.css file allows you to make custom design changes using CSS. You have option to create your own css skin in skins folder or to simply enable and <a href='" . $bloghomeurl . "wp-admin/theme-editor.php'>edit custom.css file</a>.<span class='important'>Check this option to disable custom.css file output.</span>",
						            "id" => $shortname."_custom_css",
						            "std" => "false",
						            "type" => "checkbox");	
									
				$design[] = array(	"name" => "Hide layout.css",
				                    "label" => "Hide Design Control Tweaks",
						            "desc" => "If you want to hide all CSS design tweaks you've created using theme design control panel, check this option.",
						            "id" => $shortname."_layout_css",
						            "std" => "false",
						            "type" => "checkbox");
						
			$design[] = array(	"type" => "subheadingbottom");	

			$design[] = array(	"name" => "Body Background",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
			    $design[] = array(  "name" =>  "Background Color",
					                "desc" => "Pick a custom background color for the whole site body.",
									"id" => $shortname."_body_bg",
									"std" => "",
									"type" => "color");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Body Links",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
			    $design[] = array(  "name" =>  "Link Text Color",
					                "desc" => "Pick a custom link color to be applied to major text links.",
									"id" => $shortname."_c_links",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" =>  "Link <code>:onhover</code> Color",
					                "desc" => "Pick a custom onhover link color to be applied to major text links.",
									"id" => $shortname."_c_links_onhover",
									"std" => "",
									"type" => "color");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Body Text",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
			    $design[] = array(  "name" => "General Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H1</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_general",
									"std" => array('size'=>'12', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
									
				$design[] = array(  "name" => "<b>H1</b> Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H1</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_h1",
									"std" => array('size'=>'25', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
									
				$design[] = array(  "name" => "<b>H2</b> Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H2</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_h2",
									"std" => array('size'=>'23', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
									
				$design[] = array(  "name" => "<b>H3</b> Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H3</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_h3",
									"std" => array('size'=>'21', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
									
				$design[] = array(  "name" => "<b>H4</b> Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H4</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_h4",
									"std" => array('size'=>'19', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
									
				$design[] = array(  "name" => "<b>H5</b> Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H5</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_h5",
									"std" => array('size'=>'17', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
									
				$design[] = array(  "name" => "<b>H6</b> Font",
				                    "desc" => "Select the typography you want for your text, displayed inside <code>H6</code> tags. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_h6",
									"std" => array('size'=>'15', 'face'=>'arial', 'style'=>'normal', 'color'=>'#222222'),
									"type" => "typography");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Body Buttons",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" =>  "Button Background Color",
					                "desc" => "Pick a custom background color to be applied to custom button links (form submit buttons, .button links). To create a link as a button, simply add <code>.button</code> class to desired link.",
									"id" => $shortname."_bg_button",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" =>  "Button <code>:onhover</code> Background Color",
					                "desc" => "Pick a custom onhover link background color to be applied to custom button links.",
									"id" => $shortname."_bg_button_onhover",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Button Font Properites",
				                    "desc" => "Select the typography you want for your button link. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_button",
									"std" => array('size'=>'13', 'face'=>'arial', 'style'=>'normal', 'color'=>'#ffffff'),
									"type" => "typography");
						
			$design[] = array(	"type" => "subheadingbottom");
								
		$design[] = array(	"type" => "maintablebreak");
		
	////// Module Styling
	
	    $design[] = array(	"name" => "Module Styling",
						    "type" => "heading");
						
			$design[] = array(	"name" => "Main Navigation",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
			    $design[] = array(  "name" => "Top Level Font Properites",
				                    "desc" => "Select the typography you want for your navigation items. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_nav",
									"std" => array('size'=>'13', 'face'=>'arial', 'style'=>'bold', 'color'=>'#000000'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Full Width background",
					                "desc" => "Pick a custom background color for the full section width.",
									"id" => $shortname."_bg_nav",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Current Link Background Color",
					                "desc" => "Pick a current link background color to be applied to active navigation items.",
									"id" => $shortname."_bg_nav_current",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Current Link Text Color",
					                "desc" => "Pick a current link text color to be applied to active navigation items.",
									"id" => $shortname."_c_nav_current",
									"std" => "",
									"type" => "color");

				$design[] = array(  "name" => "Link <code>:onhover</code> Background Color",
					                "desc" => "Pick a custom onhover link background color to be applied to navigation items.",
									"id" => $shortname."_bg_nav_onhover",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Dropdown Menu Font Properites",
				                    "desc" => "Select the typography you want for your dropdown navigation items. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_nav_dropdown",
									"std" => array('size'=>'11', 'face'=>'arial', 'style'=>'normal', 'color'=>'#000000'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Dropdown Menu Background Link Text Color",
					                "desc" => "Pick a custom background color for the dropdown navigation menu only.",
									"id" => $shortname."_bg_nav_dropdown",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Dropdown Menu Border Styling",
				                    "desc" => "Specify border properties to be applied to dropdown navigation area.",
									"id" => $shortname."_b_nav_dropdown",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#4782B2'),
									"type" => "border");
									
				$design[] = array(  "name" =>  "Dropdown Menu Item Width",
					                "desc" => "Pick a custom width for the dropdown navigation menu items. <span class='important'>Integere value accounts for width in pixels</span>",
									"id" => $shortname."_w_nav_dropdown",
									"std" => "150",
									"type" => "text");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Logo Section",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Blog Title Font Properites",
				                    "desc" => "Select the typography you want for your blog title. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_tblog",
									"std" => array('size'=>'30', 'face'=>'arial', 'style'=>'bold', 'color'=>'#0000000'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Blog Tagline Font Properites",
				                    "desc" => "Select the typography you want for your blog tagline (description). <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_dblog",
									"std" => array('size'=>'17', 'face'=>'arial', 'style'=>'normal', 'color'=>'#9999999'),
									"type" => "typography");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Featured Slider",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" =>  "Slider Background",
					                "desc" => "Pick a custom background color for the slider content.",
									"id" => $shortname."_bg_slid_in",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Slider Border Styling",
				                    "desc" => "Specify border properties to be applied to slider content section.",
									"id" => $shortname."_b_slid_in",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#E8E8E8'),
									"type" => "border");
									
				$design[] = array(  "name" => "Font Color",
				                    "desc" => "Select the text color you want for your slides (links included).",
									"id" => $shortname."_c_slid",
									"std" => "",
									"type" => "color");
									
			    $design[] = array(	"name" => "Custom Next Icon?",
				                    "desc" => "Upload your image or paste the full URL address to it next to upload button.",
						            "id" => $shortname."_slid_nxt",
						            "std" => "",
						            "type" => "upload");
									
				$design[] = array(	"name" => "Custom Previous Icon?",
				                    "desc" => "Upload your image or paste the full URL address to it next to upload button.",
						            "id" => $shortname."_slid_prev",
						            "std" => "",
						            "type" => "upload");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Front Widget Boxes",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Section Background",
					                "desc" => "Pick a custom background color for the full section width.",
									"id" => $shortname."_bg_fwid",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Section Border Color",
				                    "desc" => "Specify border color for the front widget boxes section.",
									"id" => $shortname."_bc_fwid",
									"std" => "",
									"type" => "color"); 
						
			$design[] = array(	"type" => "subheadingbottom");
			
	        $design[] = array(	"name" => "Footer Credentials & Navigation",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
			    $design[] = array(  "name" => "Top Level Font Properites",
				                    "desc" => "Select the typography you want for your navigation items. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_fnav",
									"std" => array('size'=>'11', 'face'=>'arial', 'style'=>'normal', 'color'=>'#8C8C8C'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Full Width Background",
					                "desc" => "Pick a custom background color for the full section width.",
									"id" => $shortname."_bg_fnav",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Current Link Background Color",
					                "desc" => "Pick a current link background color to be applied to active navigation items.",
									"id" => $shortname."_bg_fnav_current",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Current Link Text Color",
					                "desc" => "Pick a current link text color to be applied to active navigation items.",
									"id" => $shortname."_c_fnav_current",
									"std" => "",
									"type" => "color");

				$design[] = array(  "name" => "Link <code>:onhover</code> Background Color",
					                "desc" => "Pick a custom onhover link background color to be applied to navigation items.",
									"id" => $shortname."_bg_fnav_onhover",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Dropdown Menu Font Properites",
				                    "desc" => "Select the typography you want for your dropdown navigation items. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_fnav_dropdown",
									"std" => array('size'=>'11', 'face'=>'arial', 'style'=>'normal', 'color'=>'#000000'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Dropdown Menu Background Link Text Color",
					                "desc" => "Pick a custom background color for the dropdown navigation menu only.",
									"id" => $shortname."_bg_fnav_dropdown",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Dropdown Menu Border Styling",
				                    "desc" => "Specify border properties to be applied to dropdown navigation area.",
									"id" => $shortname."_b_fnav_dropdown",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#000000'),
									"type" => "border");
									
				$design[] = array(  "name" =>  "Dropdown Menu Item Width",
					                "desc" => "Pick a custom width for the dropdown navigation menu items. <span class='important'>Integere value accounts for width in pixels</span>",
									"id" => $shortname."_w_fnav_dropdown",
									"std" => "150",
									"type" => "text");
						
			$design[] = array(	"type" => "subheadingbottom");
														
		$design[] = array(	"type" => "maintablebreak");
						
$design[] = array(	"type" => "maintablebottom");
				
$design[] = array(	"type" => "maintabletop");
		
	////// Content Area Styling
	
	    $design[] = array(	"name" => "Content Area Styling",
						    "type" => "heading");
									
	        $design[] = array(	"name" => "Content Box",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Content Box Inner Background Color",
					                "desc" => "Pick a custom background color for the inner box section.",
									"id" => $shortname."_bg_box_inner",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Content Box Border",
				                    "desc" => "Specify border properties for the button link.",
									"id" => $shortname."_b_box",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#E8E8E8'),
									"type" => "border"); 
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Breadcrumbs",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Breadcrumbs Inner Background Color",
					                "desc" => "Pick a custom background color for the inner breadcrumbs section.",
									"id" => $shortname."_bg_bnav_inner",
									"std" => "",
									"type" => "color");
									
			    $design[] = array(  "name" => "Breadcrumbs Font Properites",
				                    "desc" => "Select the typography you want for your breadcrumbs text. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_bnav",
									"std" => array('size'=>'11', 'face'=>'arial', 'style'=>'normal', 'color'=>'#000000'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Breadcrumbs Link Font Properites",
				                    "desc" => "Select the typography you want for your breadcrumbs links. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_bnav_link",
									"std" => array('size'=>'11', 'face'=>'arial', 'style'=>'normal', 'color'=>'#005C9C'),
									"type" => "typography");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Main Title",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Title Inner Background Color",
					                "desc" => "Pick a custom background color for the inner title section.",
									"id" => $shortname."_bg_mtitle_inner",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Title Font Properites",
				                    "desc" => "Select the typography you want for your main title. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_mtitle",
									"std" => array('size'=>'26', 'face'=>'arial', 'style'=>'normal', 'color'=>'#000000'),
									"type" => "typography");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Archive Title",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Archive Title Font Properites",
				                    "desc" => "Select the typography you want for your main meta text. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_atitle",
									"std" => array('size'=>'21', 'face'=>'arial', 'style'=>'normal', 'color'=>'#005C9C'),
									"type" => "typography"); 
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Meta Info",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Meta Font Properites",
				                    "desc" => "Select the typography you want for your main meta text. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_meta",
									"std" => array('size'=>'11', 'face'=>'arial', 'style'=>'normal', 'color'=>'#7E7E7E'),
									"type" => "typography"); 
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Read More Button",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Button Font Properites",
				                    "desc" => "Select the typography you want for your button. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_rmore",
									"std" => array('size'=>'12', 'face'=>'arial', 'style'=>'normal', 'color'=>'#ffffff'),
									"type" => "typography");
									
				$design[] = array(  "name" =>  "Button Background Color",
					                "desc" => "Pick a custom background color to be applied to custom button. To create a link as a button, simply add <code>.button</code> class to desired link.",
									"id" => $shortname."_bg_rmore",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" =>  "Button <code>:onhover</code> Background Color",
					                "desc" => "Pick a custom onhover link background color to be applied to custom button.",
									"id" => $shortname."_bg_rmore_onhover",
									"std" => "",
									"type" => "color");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Pagination Styling",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Pagination Inner Background Color",
					                "desc" => "Pick a custom background color for the inner pagination section.",
									"id" => $shortname."_bg_pag_inner",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Pagination Font Properites",
				                    "desc" => "Select the typography you want for your pagination text. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_pag",
									"std" => array('size'=>'13', 'face'=>'tahoma', 'style'=>'normal', 'color'=>'#000000'),
									"type" => "typography");
									
				$design[] = array(  "name" =>  "Pagination Item <code>:onhover</code> Background Color",
					                "desc" => "Pick a custom onhover link background color to be applied to pagination items when hovered over.",
									"id" => $shortname."_bg_pag_onhover",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" =>  "Selected Item Background Color",
					                "desc" => "Pick a custom background color for the selected item.",
									"id" => $shortname."_bg_pag_active",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" =>  "Selected Item Text Color",
					                "desc" => "Pick a custom text color for the selected item.",
									"id" => $shortname."_f_pag_active",
									"std" => "",
									"type" => "color");
						
			$design[] = array(	"type" => "subheadingbottom");
			
			$design[] = array(	"name" => "Comments",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Comment Title Font Properites",
				                    "desc" => "Select the typography you want for your Comment Titles. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_comm",
									"std" => array('size'=>'22', 'face'=>'arial', 'style'=>'normal', 'color'=>'#333333'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Comment Borders",
				                    "desc" => "Specify bottom border properties for the comment area.",
									"id" => $shortname."_b_comm",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#dddddd'),
									"type" => "border"); 
									
				$design[] = array(  "name" => "Author Comment Borders",
				                    "desc" => "Specify bottom border properties for the comment author area. Great way to highlight comments left by post author.",
									"id" => $shortname."_ab_comm",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#3c3ca4'),
									"type" => "border"); 
						
			$design[] = array(	"type" => "subheadingbottom");
														
		$design[] = array(	"type" => "maintablebreak");
		
	////// Widget Styling
	
	    $design[] = array(	"name" => "Widget Styling",
						    "type" => "heading");
									
	        $design[] = array(	"name" => "Widget Box",
						        "toggle" => "true",
								"type" => "subheadingtop");
									
				$design[] = array(  "name" => "Background Color",
					                "desc" => "Pick a custom background color for the widget box.",
									"id" => $shortname."_bg_w",
									"std" => "",
									"type" => "color");
									
				$design[] = array(  "name" => "Border Properites",
				                    "desc" => "Specify border properties for the widget box.",
									"id" => $shortname."_b_w",
									"std" => array('width'=>'1', 'style'=>'solid', 'color'=>'#E8E8E8'),
									"type" => "border");
									
				$design[] = array(  "name" => "Title Font Properites",
				                    "desc" => "Select the typography you want for your widget title. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_w",
									"std" => array('size'=>'17', 'face'=>'arial', 'style'=>'normal', 'color'=>'#666666'),
									"type" => "typography");
									
				$design[] = array(  "name" => "Content Font Properites",
				                    "desc" => "Select the typography you want for your widget title. <span class='important'>* Web-safe font.<br/>+ Google font.</span>",
									"id" => $shortname."_f_wc",
									"std" => array('size'=>'12', 'face'=>'arial', 'style'=>'normal', 'color'=>'#525252'),
									"type" => "typography");
						
			$design[] = array(	"type" => "subheadingbottom");
														
		$design[] = array(	"type" => "maintablebreak");
						
$design[] = array(	"type" => "maintablebottom");

?>